씽크알고 : 씽크풀 알고리즘 트레이딩 with xingAPI

> 질의 응답 게시판 > 상세보기

커뮤니티

질의 응답 게시판
자유게시판
질의 응답 게시판
무료강의는 누구나 질문이 가능하며, 유료강의는 결제하신 강의에 대해서 질문이 가능합니다. 답변은 머니봇 강사님이 직접 달아드립니다.
트위터로 보내기 싸이월드 공감
파이참 로그인 관련 오류  |  질의 응답 게시판 2020-06-05 12:55:36
작성자   언네임 dkswogus0139 조회  67   |   추천  4

csv 파일을 secret파일에 저장한 후 실행하니 다음과 같은 오류와 함께 실행이 되지 않습니다.

C:/Users/dkswo/PycharmProjects/untitled1/xapi.py:8: FutureWarning: The Panel class is removed from pandas. Accessing it from the top-level namespace will also be removed in the next version
  from pandas import DataFrame, Series, Panel
Traceback (most recent call last):
  File "C:\Users\dkswo\PycharmProjects\untitled1\venv\lib\site-packages\pandas\core\indexes\base.py", line 2646, in get_loc
    return self._engine.get_loc(key)
  File "pandas\_libs\index.pyx", line 111, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\index.pyx", line 138, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\hashtable_class_helper.pxi", line 1619, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas\_libs\hashtable_class_helper.pxi", line 1627, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: '계좌번호'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/dkswo/PycharmProjects/untitled1/xapi.py", line 55, in <module>
    계좌번호 = 주식계좌정보['계좌번호'].values[0].strip()
  File "C:\Users\dkswo\PycharmProjects\untitled1\venv\lib\site-packages\pandas\core\frame.py", line 2800, in __getitem__
    indexer = self.columns.get_loc(key)
  File "C:\Users\dkswo\PycharmProjects\untitled1\venv\lib\site-packages\pandas\core\indexes\base.py", line 2648, in get_loc
    return self._engine.get_loc(self._maybe_cast_indexer(key))
  File "pandas\_libs\index.pyx", line 111, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\index.pyx", line 138, in pandas._libs.index.IndexEngine.get_loc
  File "pandas\_libs\hashtable_class_helper.pxi", line 1619, in pandas._libs.hashtable.PyObjectHashTable.get_item
  File "pandas\_libs\hashtable_class_helper.pxi", line 1627, in pandas._libs.hashtable.PyObjectHashTable.get_item
KeyError: '계좌번호'
실행 환경은 파이참입니다.

모의 투좌 계좌 번호로 옳바르게 넣었는데 왜 이런 오류가 계속 뜰까요?

댓글열람 권한이 없습니다.
추천 소스보기
목록
(주) 씽크풀
서울시 영등포구 국제금융로 70. 15층 (여의도동, 미원빌딩)
고객센터 1666-6300 사업자등록번호 115-81-54775 대표 김동진
@ThinkPool Co.,Ltd. All Rights Reserved